org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableRowHeaderConfiguration

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
  - - org.eclipse.nebula.widgets.nattable.layer.config.DefaultRowHeaderStyleConfiguration
    - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableRowHeaderConfiguration

All Implemented Interfaces:
  org.eclipse.nebula.widgets.nattable.config.IConfiguration

    public class DataTableRowHeaderConfiguration
    extends org.eclipse.nebula.widgets.nattable.layer.config.DefaultRowHeaderStyleConfiguration

A configuration for row headers in the data view.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.config.DefaultRowHeaderStyleConfiguration

`bgColor, borderStyle, cellPainter, fgColor, font, gradientBgColor, gradientFgColor, hAlign, vAlign`

### Constructor Summary

Constructors
Constructor and Description
`DataTableRowHeaderConfiguration(DataTableContext context)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

`configureLayer, configureUiBindings`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataTableRowHeaderConfiguration

    public DataTableRowHeaderConfiguration(DataTableContext context)

Creates a new instance.

Parameters:
  `context` -

### Method Detail

#### configureRegistry

    public void configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

Specified by:
  `configureRegistry` in interface `org.eclipse.nebula.widgets.nattable.config.IConfiguration`
Overrides:
  `configureRegistry` in class `org.eclipse.nebula.widgets.nattable.layer.config.DefaultRowHeaderStyleConfiguration`